Name:          fastutil
Version:       6.5.9
Release:       %mkrel 2
Summary:       Fast & compact type-specific collections for Java
# LGPL (v2.1 or later): src/it/unimi/dsi/fastutil/io/FastBufferedOutputStream.java 
# src/it/unimi/dsi/fastutil/io/RepositionableStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableOutputStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableStream.java
# src/it/unimi/dsi/fastutil/io/FastBufferedInputStream.java
# src/it/unimi/dsi/fastutil/io/MeasurableInputStream.java
# src/it/unimi/dsi/fastutil/io/FastByteArrayInputStream.java
# src/it/unimi/dsi/fastutil/io/FastByteArrayOutputStream.java
# src/it/unimi/dsi/fastutil/io/FastMultiByteArrayInputStream.java
# src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java
# test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java
License:       ASL 2.0 and LGPLv2+
Group:         Development/Java
# altenative url
#URL:           https://github.com/vigna/fastutil
# often is offline
URL:           http://fastutil.di.unimi.it/
# altenative source repo
#Source0:       http://repo1.maven.org/maven2/it/unimi/dsi/%%{name}/%%{version}/%%{name}-%%{version}-sources.jar
#Source1:       http://repo1.maven.org/maven2/it/unimi/dsi/%%{name}/%%{version}/%%{name}-%%{version}.pom
# often is offline
Source0:       http://fastutil.di.unimi.it/%{name}-%{version}-src.tar.gz
Source2:       %{name}-bnd.properties

BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: emma
# Required for generate source code
BuildRequires: gcc
BuildRequires: make

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Fastutil extends the Java Collections Framework by providing type-specific
maps, sets, lists and priority queues with a small memory footprint and
fast access and insertion; it also includes a fast I/O API for binary and
text files. The classes implement their standard counterpart interface
(e.g., Map for maps) and can be plugged into existing code. Moreover, they
provide additional features (such as bidirectional iterators) that are not
available in the standard classes.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
#%%setup -q -c
%setup -q
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," \
 src/it/unimi/dsi/fastutil/io/FastBufferedOutputStream.java \
 src/it/unimi/dsi/fastutil/io/RepositionableStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableOutputStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableStream.java \
 src/it/unimi/dsi/fastutil/io/FastBufferedInputStream.java \
 src/it/unimi/dsi/fastutil/io/MeasurableInputStream.java \
 src/it/unimi/dsi/fastutil/io/FastByteArrayInputStream.java \
 src/it/unimi/dsi/fastutil/io/FastByteArrayOutputStream.java \
 src/it/unimi/dsi/fastutil/io/FastMultiByteArrayInputStream.java \
 src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java \
 test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java

# Fix pom version
#%%pom_xpath_set "pom:project/pom:version" %%{version}
sed -i "s|<version>6.5.8|<version>%{version}|" pom.xml
# Remove empty dependencies list
%pom_xpath_remove "pom:project/pom:dependencies"

cp %{SOURCE2} bnd.properties
sed -i "s|@VERSION@|%{version}|" bnd.properties

%build

# Generate source code
%{__make} -s clean sources
# Build
ant -Dj2se.apiurl=%{_javadocdir}/java jar javadoc
# Add OSGi support
%java -jar $(build-classpath aqute-bnd) wrap -properties bnd.properties %{name}-%{version}.jar

%install

# Jar
mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}-%{version}.bar \
  %{buildroot}%{_javadir}/%{name}.jar

# Pom and depmap
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGES LICENSE-2.0 README

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 6.5.9-2.mga4
+ Revision: 544839
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 6.5.9-1.mga4
+ Revision: 500356
- New version

* Fri Jan 11 2013 umeabot <umeabot> 6.4.1-2.mga3
+ Revision: 350070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 gil <gil> 6.4.1-1.mga2
+ Revision: 161852
- imported package fastutil

